summaryrefslogtreecommitdiffstats
path: root/perl/perl-Mojolicious-Plugin-I18N/perl-Mojolicious-Plugin-I18N.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'perl/perl-Mojolicious-Plugin-I18N/perl-Mojolicious-Plugin-I18N.SlackBuild')
-rw-r--r--[-rwxr-xr-x]perl/perl-Mojolicious-Plugin-I18N/perl-Mojolicious-Plugin-I18N.SlackBuild33
1 files changed, 22 insertions, 11 deletions
diff --git a/perl/perl-Mojolicious-Plugin-I18N/perl-Mojolicious-Plugin-I18N.SlackBuild b/perl/perl-Mojolicious-Plugin-I18N/perl-Mojolicious-Plugin-I18N.SlackBuild
index 8e380df0df..3df06d7583 100755..100644
--- a/perl/perl-Mojolicious-Plugin-I18N/perl-Mojolicious-Plugin-I18N.SlackBuild
+++ b/perl/perl-Mojolicious-Plugin-I18N/perl-Mojolicious-Plugin-I18N.SlackBuild
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for perl-Mojolicious-Plugin-I18N
# Copyright 2019 M.A. BEGUE mab974@gmail.com
@@ -21,28 +21,38 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=perl-Mojolicious-Plugin-I18N
VERSION=${VERSION:-1.6}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
SRCNAM="$(printf $PRGNAM | cut -d- -f2-)"
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -55,7 +65,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -70,13 +80,14 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-perl Build.PL
+perl Build.PL \
+ --installdirs vendor \
+ --config installvendorman1dir=/usr/man/man1 \
+ --config installvendorman3dir=/usr/man/man3
./Build
./Build test
./Build install \
- --destdir $PKG \
- --install_path bindoc=/usr/man/man1 \
- --install_path libdoc=/usr/man/man3
+ --destdir $PKG
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
@@ -98,4 +109,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE